Passa al contenuto principale

Pay orders with One-Click

POST 

/api/v3/payments/one-click

Required scopes: payment:write

Pays one or more orders together with a One-Click payment method: the one in one_click_id or, without it, the default one (the first active method in the order chosen by the customer). Only that method is tried: when the provider declines the payment the response is 402, with the message of the provider, and the orders are still to be paid. When there is nothing to pay (total 0.00) the orders are confirmed without a payment and the response is 204. The response is 409 when payments are not possible at this time, the orders cannot be paid together, there is no active One-Click payment method, or the payment exceeds the payment limits allowed at this time (for example in the evening).

Not available to sub-accounts: the response is 403 (error 1601).

Request​

Responses​

Created

Response Headers
    Location

    URL of the created resource